Skip to content
Proud to collaborate with Microsoft for Startups

docusign.users.get-users ​

Retrieves the list of users for the specified account. The response returns the list of users for the account, with information about the result set. If the additional_info query is added to the endpoint and set to true, full user information is returned for each user.

Retrieves the list of users for the specified account. You can filter the users list to get specific users.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—(Required) The external account number (int) or account ID GUID.
additional_infostringNo—When true, the custom settings information is returned for each user in the account. If this parameter is omitted, the default behavior is false.
alternate_admins_onlystringNo—When true, returns only alternate administrators. These users are not administrators but will be set as such if all administrator memberships are closed. The default value is false.
countstringNo—The maximum number of results to return. Use start_position to specify the number of results to skip. Valid values: 1 to 100
domain_users_onlystringNo—When true, return only users in domains claimed by your organization. The default value is false.
emailstringNo—Filters results based on the email address associated with the user that you want to return. Note: You can use either this parameter or the email_substring parameter, but not both. For older accounts, this parameter might return multiple users who are associated with a single email address.
email_substringstringNo—Filters results based on a fragment of an email address. For example, you could enter gmail.com to return all users who have Gmail addresses. Note: You do not use a wildcard character with this parameter. You can use either this parameter or the email parameter, but not both.
group_idstringNo—Filters results based on one or more group IDs.
include_licensestringNo——
include_usersettings_for_csvstringNo—When true, the response includes the userSettings object data in CSV format.
login_statusstringNo—When true, the response includes the login status of each user.
not_group_idstringNo—Return user records excluding the specified group IDs.
start_positionstringNo—The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0.
statusstringNo—Filters results by user account status. A comma-separated list of any of the following: * ActivationRequired * ActivationSent * Active * Closed * Disabled
user_name_substringstringNo—Filters the user records returned by the user name or a sub-string of user name.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—(Required) The external account number (int) or account ID GUID.
additional_infostringNo—When true, the custom settings information is returned for each user in the account. If this parameter is omitted, the default behavior is false.
alternate_admins_onlystringNo—When true, returns only alternate administrators. These users are not administrators but will be set as such if all administrator memberships are closed. The default value is false.
countstringNo—The maximum number of results to return. Use start_position to specify the number of results to skip. Valid values: 1 to 100
domain_users_onlystringNo—When true, return only users in domains claimed by your organization. The default value is false.
emailstringNo—Filters results based on the email address associated with the user that you want to return. Note: You can use either this parameter or the email_substring parameter, but not both. For older accounts, this parameter might return multiple users who are associated with a single email address.
email_substringstringNo—Filters results based on a fragment of an email address. For example, you could enter gmail.com to return all users who have Gmail addresses. Note: You do not use a wildcard character with this parameter. You can use either this parameter or the email parameter, but not both.
group_idstringNo—Filters results based on one or more group IDs.
include_licensestringNo——
include_usersettings_for_csvstringNo—When true, the response includes the userSettings object data in CSV format.
login_statusstringNo—When true, the response includes the login status of each user.
not_group_idstringNo—Return user records excluding the specified group IDs.
start_positionstringNo—The zero-based index of the result from which to start returning results. Use with count to limit the number of results. The default value is 0.
statusstringNo—Filters results by user account status. A comma-separated list of any of the following: * ActivationRequired * ActivationSent * Active * Closed * Disabled
user_name_substringstringNo—Filters the user records returned by the user name or a sub-string of user name.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call GET /v2.1/accounts/{accountId}/users
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform GET /v2.1/accounts/{accountId}/users
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.users.get-users",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}